## kparts 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KParts VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEPackageAppTemplates)
include(ECMAddQch)

include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPARTS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)


if(BUILD_TESTING)
  add_subdirectory( tests )
  add_subdirectory( autotests )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"kparts5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
add_definitions(-DKIOWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600) # We need KRun for BrowserRun
add_definitions(-DKCOREADDONS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000) # We need KAboutData::fromPluginMetaData
add_definitions(-DQT_NO_FOREACH)
add_subdirectory( src )
add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Parts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Parts_QCH
        FILE KF5PartsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PartsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PartsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PartsTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(KParts_LIB_SRCS
    partbase.cpp
    part.cpp
    partmetadatautil_p.cpp
    partloader.cpp
    openurlarguments.cpp
    readonlypart.cpp
    readwritepart.cpp
    plugin.cpp
    partmanager.cpp
    mainwindow.cpp
    event.cpp
    guiactivateevent.cpp
    partactivateevent.cpp
    partselectevent.cpp
    browserextension.cpp
    browserhostextension.cpp
    browserarguments.cpp
    liveconnectextension.cpp
    openurlevent.cpp
    windowargs.cpp
    historyprovider.cpp
    browserinterface.cpp
    browserrun.cpp
    browseropenorsavequestion.cpp
    statusbarextension.cpp
    scriptableextension.cpp
    textextension.cpp
    htmlextension.cpp
    htmlsettingsinterface.cpp
    selectorinterface.cpp
    fileinfoextension.cpp
    listingfilterextension.cpp
    listingnotificationextension.cpp
)

include(ECMGenerateHeaders)
ecm_generate_headers(KParts_CamelCase_HEADERS
    HEADER_NAMES
        BrowserArguments
        BrowserExtension
        BrowserHostExtension
        BrowserInterface
        BrowserOpenOrSaveQuestion
        BrowserRun
        Event
        FileInfoExtension
        GUIActivateEvent
        HistoryProvider
        HtmlExtension
        HtmlSettingsInterface
        ListingFilterExtension
        ListingNotificationExtension
        LiveConnectExtension
        MainWindow
        OpenUrlArguments
        OpenUrlEvent
        Part
        PartActivateEvent
        PartBase
        PartLoader
        PartManager
        PartSelectEvent
        Plugin
        ReadOnlyPart
        ReadWritePart
        ScriptableExtension
        SelectorInterface
        StatusBarExtension
        TextExtension
        WindowArgs
    REQUIRED_HEADERS KParts_HEADERS
    PREFIX KParts
)
install(FILES ${KParts_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts/KParts
        COMPONENT Devel)

ecm_qt_declare_logging_category(KParts_LIB_SRCS
    HEADER kparts_logging.h
    IDENTIFIER KPARTSLOG
    CATEGORY_NAME kf.parts
    DESCRIPTION "KParts"
    EXPORT KPARTSLOG
)

add_library(KF5Parts ${KParts_LIB_SRCS})
add_library(KF5::Parts ALIAS KF5Parts)
ecm_generate_export_header(KF5Parts
    EXPORT_FILE_NAME ${KParts_BINARY_DIR}/kparts/kparts_export.h
    BASE_NAME KParts
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 3.0 4.4 5.0 5.72 5.77 5.78
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(KParts_BUILD_INCLUDE_DIRS ${KParts_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5Parts PUBLIC "$<BUILD_INTERFACE:${KParts_BUILD_INCLUDE_DIRS}>")
target_include_directories(KF5Parts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KParts>" )

target_link_libraries(KF5Parts PUBLIC  KF5::KIOWidgets #browserrun.h uses krun.h
                                       KF5::XmlGui # essential to the technology
                                       KF5::TextWidgets # needed for KFind, as interface
                               PRIVATE KF5::I18n #few uses of i18n and i18nc, can be probably stripped down
                                       KF5::IconThemes #only used by KPart::iconLoader()
                      )

set_target_properties(KF5Parts PROPERTIES VERSION   ${KPARTS_VERSION_STRING}
                                          SOVERSION ${KPARTS_SOVERSION}
                                          EXPORT_NAME Parts
)

install(TARGETS KF5Parts EXPORT KF5PartsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   kpart.desktop
   kparts-readonlypart.desktop
   kparts-readwritepart.desktop
   # KF6 TODO; rename to browser-view.desktop to match pattern as expected by desktop2json
   browserview.desktop
   DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
)
install(FILES
  ${KParts_BINARY_DIR}/kparts/kparts_export.h
  ${KParts_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts/kparts COMPONENT Devel
)

install(FILES kde_terminal_interface.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts )

ecm_qt_install_logging_categories(
    EXPORT KPARTSLOG
    FILE kparts.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Parts_QCH
        NAME KParts
        BASE_NAME KF5Parts
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KParts_HEADERS}
            kde_terminal_interface.h
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF5KIO_QCH
            KF5XmlGui_QCH
            KF5TextWidgets_QCH
        INCLUDE_DIRS
            ${KParts_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KPARTS_EXPORT
            KPARTS_DEPRECATED
            KPARTS_DEPRECATED_EXPORT
            "KPARTS_DEPRECATED_VERSION(x, y, t)"
        PREDEFINED_MACROS
            "KIOWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KParts LIB_NAME KF5Parts DEPS "KIOWidgets KXmlGui KTextWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED)
set_package_properties(Qt5Test PROPERTIES PURPOSE "Required for tests")

set(PARTS_TEST_LIBRARY_DEPENDENCIES Qt5::Test KF5::Parts KF5::CoreAddons KF5::I18n KF5::XmlGui KF5::KIOCore)
include(ECMMarkAsTest)

set(partstest_SRCS
    parts.cpp
)


add_executable(kpartstest testmainwindow.cpp ${partstest_SRCS})
ecm_mark_as_test(kpartstest)
target_link_libraries(kpartstest ${PARTS_TEST_LIBRARY_DEPENDENCIES})

add_executable(normalktmtest normalktm.cpp ${partstest_SRCS})
ecm_mark_as_test(normalktmtest)
target_link_libraries(normalktmtest ${PARTS_TEST_LIBRARY_DEPENDENCIES})


########### next target ###############

add_library(spellcheckplugin MODULE plugin_spellcheck.cpp)
target_link_libraries(spellcheckplugin ${PARTS_TEST_LIBRARY_DEPENDENCIES} )
install(TARGETS spellcheckplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### unit tests ###############

MACRO(KPARTS_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               add_executable(${_testname}  ${_testname}.cpp)
               ecm_mark_as_test(${_testname})
               target_link_libraries(${_testname} ${PARTS_TEST_LIBRARY_DEPENDENCIES})
       ENDFOREACH(_testname)
ENDMACRO(KPARTS_EXECUTABLE_TESTS)

KPARTS_EXECUTABLE_TESTS(
    partviewer
    openorsavequestion
    terminal_test
)

########### install files ###############

# Normally this would be needed. For the test programs we can avoid that, see addResourceDir.
#install( FILES notepadpart.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/notepadpart )
#install( FILES partviewer_shell.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/partviewer )
#install( FILES kpartstest_shell.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kpartstest )
#install( FILES kpartstest_part1.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kpartstestpart )

# To test plugins without installing them, try "ln -s kpartplugins <srcdir>"
#install( FILES plugin_foobar.rc plugin_spellcheck.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/notepadpart/kpartplugins )

=== templates/kpartsapp/src/shell/CMakeLists.txt ===
set(%{APPNAMELC}_SRCS
   main.cpp
   %{APPNAMELC}shell.cpp
)

qt5_add_resources(%{APPNAMELC}_SRCS
    %{APPNAMELC}.qrc
)

add_executable(%{APPNAMELC} ${%{APPNAMELC}_SRCS})

target_link_libraries(%{APPNAMELC}
    KF5::I18n
    KF5::Parts
)

install(TARGETS %{APPNAMELC} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS %{APPNAMELC}.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
kparts (5.78.0-3) unstable; urgency=medium

  * Remove graphviz from build depends.
  * Rebuild against new e-c-m to fix broken template tar.

 -- Norbert Preining <norbert@preining.info>  Sun, 24 Jan 2021 14:35:01 +0900

kparts (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:24 +0900

kparts (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

kparts (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kparts (5.77.0-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath feature, as it triggers build failures when
    enabled (Closes: #972738).
  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).

  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

kparts (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:43 +0200

kparts (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add categories file to libkf5parts-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:21 +0200

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5jobwidgets-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5textwidgets-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.78.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.78.0~),
         libkf5xmlgui-dev (>= 5.78.0~),
         ${misc:Depends}
Breaks: kross-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5mediaplayer-dev (<< 5.54),
        libkf5parts-data (<< 5.69.0-2~),
        libkf5texteditor-dev (<< 5.54)
Replaces: libkf5parts-data (<< 5.69.0-2~)
Recommends: libkf5parts-doc (= ${source:Version})
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kross (<< 5.54),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54)
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

## kparts 5.80.0

=== debian/changelog ===
kparts (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:56 +0000

kparts (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:05 +0000

kparts (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5parts-data Breaks/replaces libkf5parts5 (<< 5.77.0-2~)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Jan 2021 15:26:34 +0000

kparts (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:32 +0000

kparts (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - libkf5parts-data Breaks/replaces libkf5parts5 (<< 5.77.0-2~)

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:43:10 +0000

kparts (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:20 +0000

kparts (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update installed files
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:54 +0000

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5iconthemes-dev (>= 5.80.0~),
               libkf5jobwidgets-dev (>= 5.80.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5service-dev (>= 5.80.0~),
               libkf5textwidgets-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5parts5 (<< 5.77.0-2~)
Replaces: libkf5parts5 (<< 5.77.0-2~)
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.80.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.80.0~),
         libkf5xmlgui-dev (>= 5.80.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5mediaplayer-dev (<< 5.54),
        libkf5parts-data (<< 5.69.0-2~),
        libkf5texteditor-dev (<< 5.54),
Replaces: libkf5parts-data (<< 5.69.0-2~)
Recommends: libkf5parts-doc (= ${source:Version})
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.54),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

## kparts 5.86.0

=== debian/changelog ===
kparts (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:05 +0100

kparts (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:25 +0100

kparts (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:21 +0100

kparts (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:21 +0100

kparts (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:07 +0100

kparts (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5jobwidgets-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5textwidgets-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5jobwidgets-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5textwidgets-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.80.0~),
+Depends: libkf5kio-dev (>= 5.86.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.80.0~),
-         libkf5xmlgui-dev (>= 5.80.0~),
+         libkf5textwidgets-dev (>= 5.86.0~),
+         libkf5xmlgui-dev (>= 5.86.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project(KParts VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -15,6 +15,7 @@
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEGitCommitHooks)
 include(KDEPackageAppTemplates)
 include(ECMAddQch)
 
@@ -32,19 +33,19 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
                         SOVERSION 5)
 
-set(REQUIRED_QT_VERSION 5.14.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
+set(REQUIRED_QT_VERSION 5.15.2)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
 
-find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
+find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5JobWidgets ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 
 if(BUILD_TESTING)
@@ -52,14 +53,13 @@
   add_subdirectory( autotests )
 endif()
 add_definitions(-DTRANSLATION_DOMAIN=\"kparts5\")
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ki18n_install(po)
-endif()
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
+ki18n_install(po)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 add_definitions(-DKIOWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600) # We need KRun for BrowserRun
 add_definitions(-DKCOREADDONS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000) # We need KAboutData::fromPluginMetaData
-add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DKSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100) # We need KMimeTypeTrader and KPluginInfo(KService)
+
 add_subdirectory( src )
 add_subdirectory(templates)
 
@@ -95,7 +95,9 @@
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts COMPONENT Devel
 )
 
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kparts (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:16 +0000

kparts (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:29 +0000

kparts (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:27 +0000

kparts (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:17 +0000

kparts (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5parts-data Breaks/Replaces libkf5parts5 (<< 5.77.0-2~)
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:26:38 +0000

kparts (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kparts (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:59 +0000

kparts (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:52 +0000

kparts (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:59:09 +0900

kparts (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kparts (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:19:10 +0900

kparts (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:08 +0900

kparts (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kparts (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:17:28 +0900

kparts (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kparts (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kparts (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: kparts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5iconthemes-dev (>= 5.86.0~),
-               libkf5jobwidgets-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5textwidgets-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
-               libkf5xmlgui-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5iconthemes-dev (>= 5.92.0~),
+               libkf5jobwidgets-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5textwidgets-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5xmlgui-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kparts
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.86.0~),
+Depends: libkf5kio-dev (>= 5.92.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.86.0~),
-         libkf5xmlgui-dev (>= 5.86.0~),
+         libkf5textwidgets-dev (>= 5.92.0~),
+         libkf5xmlgui-dev (>= 5.92.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.98.0

=== debian/changelog ===
kparts (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:10 +0100

kparts (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:30 +0100

kparts (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:14 +0100

kparts (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:58 +0100

kparts (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:44 +0100

kparts (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5jobwidgets-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5textwidgets-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5jobwidgets-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5textwidgets-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.92.0~),
+Depends: libkf5kio-dev (>= 5.98.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.92.0~),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5textwidgets-dev (>= 5.98.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.100.0

=== debian/changelog ===
kparts (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

kparts (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:06 +0200

kparts (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

kparts (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

kparts (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kparts (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kparts (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: kparts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
-               libkf5jobwidgets-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
-               libkf5textwidgets-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5iconthemes-dev (>= 5.100.0~),
+               libkf5jobwidgets-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
+               libkf5service-dev (>= 5.100.0~),
+               libkf5textwidgets-dev (>= 5.100.0~),
+               libkf5widgetsaddons-dev (>= 5.100.0~),
+               libkf5xmlgui-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,17 +25,15 @@
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kparts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
 Rules-Requires-Root: no
 
 Package: libkf5parts-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: libkf5parts5 (<< 5.77.0-2~)
-Replaces: libkf5parts5 (<< 5.77.0-2~)
 Multi-Arch: foreign
 Description: Document centric plugin system.
  Framework providing elaborate user-interface components.
@@ -45,10 +43,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.98.0~),
+Depends: libkf5kio-dev (>= 5.100.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.98.0~),
-         libkf5xmlgui-dev (>= 5.98.0~),
+         libkf5textwidgets-dev (>= 5.100.0~),
+         libkf5xmlgui-dev (>= 5.100.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.102.0

=== debian/changelog ===
kparts (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

kparts (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5iconthemes-dev (>= 5.100.0~),
-               libkf5jobwidgets-dev (>= 5.100.0~),
-               libkf5kio-dev (>= 5.100.0~),
-               libkf5service-dev (>= 5.100.0~),
-               libkf5textwidgets-dev (>= 5.100.0~),
-               libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkf5xmlgui-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
+               libkf5jobwidgets-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5textwidgets-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,7 +25,7 @@
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kparts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
@@ -43,10 +43,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.100.0~),
+Depends: libkf5kio-dev (>= 5.102.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.100.0~),
-         libkf5xmlgui-dev (>= 5.100.0~),
+         libkf5textwidgets-dev (>= 5.102.0~),
+         libkf5xmlgui-dev (>= 5.102.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),
